unity manila: Failed to enabled ACE for share

Bug #1841035 reported by Sam Wan on 2019-08-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Shared File Systems Service (Manila)
Low
Yong Huang

Bug Description

error in manila log:
======
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client [None req-c4cfbee5-ab69-4332-9bd7-271822449f45 None None] Failed to enabled ACE for share: d33299ec-916b-4637-86e2-a2ee14566636.: storops.exception.UnityException: The specified operation could not be completed. Search for the error code on the support website or product forums, or contact your service provider, if available. (Error Code:0x4)
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client Traceback (most recent call last):
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client File "/opt/stack/new/manila/manila/share/drivers/dell_emc/plugins/unity/client.py", line 54, in create_cifs_share
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client share.enable_ace()
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client File "/usr/local/lib/python3.7/dist-packages/storops/unity/resource/cifs_share.py", line 102, in enable_ace
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client return self.modify(is_ace_enabled=True)
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client File "/usr/local/lib/python3.7/dist-packages/storops/unity/resource/cifs_share.py", line 205, in modify
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client resp.raise_if_err()
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client File "/usr/local/lib/python3.7/dist-packages/storops/unity/resp.py", line 131, in raise_if_err
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client raise ex_clz(self.error)
Aug 22 02:20:06 unitymanila manila-share[8499]: ERROR manila.share.drivers.dell_emc.plugins.unity.client storops.exception.UnityException: The specified operation could not be completed. Search for the error code on the support website or product forums, or contact your service provider, if available. (Error Code:0x4)
======

Sam Wan (sam-wan) on 2019-08-22
tags: added: unity
Ryan Liang (ryan-liang) on 2019-08-22
Changed in manila:
assignee: nobody → DellEMC Unity OpenStack (dellemc-unity-openstack)
tags: added: dell-emc
Tom Barron (tpb) on 2019-08-22
tags: added: driver
DingDong (dingdino) on 2019-09-26
Changed in manila:
assignee: DellEMC Unity OpenStack (dellemc-unity-openstack) → DingDong (dingdino)
Goutham Pacha Ravi (gouthamr) wrote :

Hi Sam,

How can this bug be reproduced? Is this related to https://bugs.launchpad.net/manila/+bug/1845452 ?

Changed in manila:
status: New → Incomplete
Changed in manila:
assignee: DingDong (dingdino) → nobody
Yong Huang (yonghuang) on 2020-04-26
Changed in manila:
assignee: nobody → Yong Huang (yonghuang)

Fix proposed to branch: master
Review: https://review.opendev.org/723221

Changed in manila:
status: Incomplete → In Progress
Changed in manila:
milestone: none → victoria-1
Changed in manila:
importance: Undecided → Low

Reviewed: https://review.opendev.org/723221
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=47b90fa8fba882f86491ccc3959dc520271a26bd
Submitter: Zuul
Branch: master

commit 47b90fa8fba882f86491ccc3959dc520271a26bd
Author: Yong Huang <email address hidden>
Date: Sun Apr 26 16:47:22 2020 +0000

    [Unity]: Failed to enabled ACE for share

    It is no need to enable ACE when creating CIFS share, so
    remove this process.

    Change-Id: Id9d248857c9a02eca486185d41b1fc22520d0919
    Closes-bug: #1841035

Changed in manila:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/735297
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=1e8e154fe0d1043cd060eed43f1fba0c2327596e
Submitter: Zuul
Branch: stable/ussuri

commit 1e8e154fe0d1043cd060eed43f1fba0c2327596e
Author: Yong Huang <email address hidden>
Date: Sun Apr 26 16:47:22 2020 +0000

    [Unity]: Failed to enabled ACE for share

    It is no need to enable ACE when creating CIFS share, so
    remove this process.

    Change-Id: Id9d248857c9a02eca486185d41b1fc22520d0919
    Closes-bug: #1841035
    (cherry picked from commit 47b90fa8fba882f86491ccc3959dc520271a26bd)

tags: added: in-stable-ussuri

Reviewed: https://review.opendev.org/737697
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=9a0036a2dda18cc6ba2bde9e934eaed615fe5c22
Submitter: Zuul
Branch: stable/train

commit 9a0036a2dda18cc6ba2bde9e934eaed615fe5c22
Author: Yong Huang <email address hidden>
Date: Sun Apr 26 16:47:22 2020 +0000

    [Unity]: Failed to enabled ACE for share

    It is no need to enable ACE when creating CIFS share, so
    remove this process.

    Change-Id: Id9d248857c9a02eca486185d41b1fc22520d0919
    Closes-bug: #1841035
    (cherry picked from commit 47b90fa8fba882f86491ccc3959dc520271a26bd)
    (cherry picked from commit 1e8e154fe0d1043cd060eed43f1fba0c2327596e)

tags: added: in-stable-train
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers